<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14) on Fri May 29 23:30:56 CEST 2020 -->
<title>Uses of Class Heroes.Monster.Monster</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-29">
<meta name="description" content="use: package: Heroes.Monster, class: Monster">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-use">
<script type="text/javascript">var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Monster.html" title="class in Heroes.Monster">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1 title="Uses of Class Heroes.Monster.Monster" class="title">Uses of Class<br>Heroes.Monster.Monster</h1>
</div>
<div class="classUseContainer">
<div class="useSummary">
<table>
<caption><span>Packages that use <a href="../Monster.html" title="class in Heroes.Monster">Monster</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#Heroes.Monster">Heroes.Monster</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#Heroes.Tile.Towers">Heroes.Tile.Towers</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="classUses">
<ul class="blockList">
<li class="blockList">
<section class="detail"><a id="Heroes.Monster">
<!--   -->
</a>
<h2>Uses of <a href="../Monster.html" title="class in Heroes.Monster">Monster</a> in <a href="../package-summary.html">Heroes.Monster</a></h2>
<div class="useSummary">
<table>
<caption><span>Subclasses of <a href="../Monster.html" title="class in Heroes.Monster">Monster</a> in <a href="../package-summary.html">Heroes.Monster</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Devil.html" title="class in Heroes.Monster">Devil</a></span></code></th>
<td class="colLast">
<div class="block">The type Devil.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Droid.html" title="class in Heroes.Monster">Droid</a></span></code></th>
<td class="colLast">
<div class="block">The type Droid (extends Monster)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Mal.html" title="class in Heroes.Monster">Mal</a></span></code></th>
<td class="colLast">
<div class="block">The type Mal (extends Monster)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Titan.html" title="class in Heroes.Monster">Titan</a></span></code></th>
<td class="colLast">
<div class="block">The type Titan (extends Monster)</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../package-summary.html">Heroes.Monster</a> that return types with arguments of type <a href="../Monster.html" title="class in Heroes.Monster">Monster</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../Monster.html" title="class in Heroes.Monster">Monster</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Wave.</span><code><span class="memberNameLink"><a href="../Wave.html#getMonsters()">getMonsters</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets monsters(ArrayList of Monster)</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section class="detail"><a id="Heroes.Tile.Towers">
<!--   -->
</a>
<h2>Uses of <a href="../Monster.html" title="class in Heroes.Monster">Monster</a> in <a href="../../Tile/Towers/package-summary.html">Heroes.Tile.Towers</a></h2>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../Tile/Towers/package-summary.html">Heroes.Tile.Towers</a> with parameters of type <a href="../Monster.html" title="class in Heroes.Monster">Monster</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Captain.</span><code><span class="memberNameLink"><a href="../../Tile/Towers/Captain.html#attack(Heroes.Monster.Monster,javafx.scene.layout.Pane)">attack</a></span>&#8203;(<a href="../Monster.html" title="class in Heroes.Monster">Monster</a>&nbsp;monster,
javafx.scene.layout.Pane&nbsp;root)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">God.</span><code><span class="memberNameLink"><a href="../../Tile/Towers/God.html#attack(Heroes.Monster.Monster,javafx.scene.layout.Pane)">attack</a></span>&#8203;(<a href="../Monster.html" title="class in Heroes.Monster">Monster</a>&nbsp;monster,
javafx.scene.layout.Pane&nbsp;root)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">GreenLizard.</span><code><span class="memberNameLink"><a href="../../Tile/Towers/GreenLizard.html#attack(Heroes.Monster.Monster,javafx.scene.layout.Pane)">attack</a></span>&#8203;(<a href="../Monster.html" title="class in Heroes.Monster">Monster</a>&nbsp;monster,
javafx.scene.layout.Pane&nbsp;root)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">LazerMan.</span><code><span class="memberNameLink"><a href="../../Tile/Towers/LazerMan.html#attack(Heroes.Monster.Monster,javafx.scene.layout.Pane)">attack</a></span>&#8203;(<a href="../Monster.html" title="class in Heroes.Monster">Monster</a>&nbsp;monster,
javafx.scene.layout.Pane&nbsp;root)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Tower.</span><code><span class="memberNameLink"><a href="../../Tile/Towers/Tower.html#attack(Heroes.Monster.Monster,javafx.scene.layout.Pane)">attack</a></span>&#8203;(<a href="../Monster.html" title="class in Heroes.Monster">Monster</a>&nbsp;monster,
javafx.scene.layout.Pane&nbsp;root)</code></th>
<td class="colLast">
<div class="block">Attack of a tower</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UltraLady.</span><code><span class="memberNameLink"><a href="../../Tile/Towers/UltraLady.html#attack(Heroes.Monster.Monster,javafx.scene.layout.Pane)">attack</a></span>&#8203;(<a href="../Monster.html" title="class in Heroes.Monster">Monster</a>&nbsp;monster,
javafx.scene.layout.Pane&nbsp;root)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Captain.</span><code><span class="memberNameLink"><a href="../../Tile/Towers/Captain.html#specialAttack(Heroes.Monster.Monster)">specialAttack</a></span>&#8203;(<a href="../Monster.html" title="class in Heroes.Monster">Monster</a>&nbsp;monster)</code></th>
<td class="colLast">
<div class="block">Special attack : go back at beginning</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">God.</span><code><span class="memberNameLink"><a href="../../Tile/Towers/God.html#specialAttack(Heroes.Monster.Monster,javafx.scene.layout.Pane)">specialAttack</a></span>&#8203;(<a href="../Monster.html" title="class in Heroes.Monster">Monster</a>&nbsp;monster,
javafx.scene.layout.Pane&nbsp;root)</code></th>
<td class="colLast">
<div class="block">Special attack.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">GreenLizard.</span><code><span class="memberNameLink"><a href="../../Tile/Towers/GreenLizard.html#specialAttack(Heroes.Monster.Monster)">specialAttack</a></span>&#8203;(<a href="../Monster.html" title="class in Heroes.Monster">Monster</a>&nbsp;monster)</code></th>
<td class="colLast">
<div class="block">Special attack.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">LazerMan.</span><code><span class="memberNameLink"><a href="../../Tile/Towers/LazerMan.html#specialAttack(Heroes.Monster.Monster,javafx.scene.layout.Pane)">specialAttack</a></span>&#8203;(<a href="../Monster.html" title="class in Heroes.Monster">Monster</a>&nbsp;monster,
javafx.scene.layout.Pane&nbsp;root)</code></th>
<td class="colLast">
<div class="block">Special attack.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UltraLady.</span><code><span class="memberNameLink"><a href="../../Tile/Towers/UltraLady.html#specialAttack(Heroes.Monster.Monster,javafx.scene.layout.Pane)">specialAttack</a></span>&#8203;(<a href="../Monster.html" title="class in Heroes.Monster">Monster</a>&nbsp;monster,
javafx.scene.layout.Pane&nbsp;root)</code></th>
<td class="colLast">
<div class="block">Special attack.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Monster.html" title="class in Heroes.Monster">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
